Package org.springframework.cglib.proxy

# Interface FixedValue

All Superinterfaces:
  `Callback`

public interface FixedValue extends Callback
`Enhancer` callback that simply returns the value to return from the proxied method. No information about what method is being called is available to the callback, and the type of the returned object must be compatible with the return type of the proxied method. This makes this callback primarily useful for forcing a particular method (through the use of a `CallbackFilter` to return a fixed value with little overhead.

## Method Summary

Modifier and Type
Method
Description
`Object`
`loadObject()`
Return the object which the original method invocation should return.

## Method Details

### loadObject

Object loadObject() throws Exception
Return the object which the original method invocation should return. This method is called for every method invocation.

Returns:
  an object matching the type of the return value for every method this callback is mapped to
Throws:
  `Exception`